#ifndef _TESTGMM_H
#define _TESTGMM_H

#include <cppunit/extensions/HelperMacros.h>
#include "vislearning/math/cluster/GMM.h"

/**
 * CppUnit-Testcase. 
 * @brief CppUnit-Testcase to verify that the GMM-clustering works correctly
 */
class TestGMM : public CppUnit::TestFixture {

    CPPUNIT_TEST_SUITE( TestGMM );
    
    CPPUNIT_TEST(testGMMClustering);
    
    CPPUNIT_TEST(testGMMPersistent);
    
    CPPUNIT_TEST_SUITE_END();
  
 private:
 
 public:
    void setUp();
    void tearDown();

    /**
    * Constructor / Destructor testing 
    */  
    void testGMMClustering();
    
    void testGMMPersistent();

};

#endif // _TESTKMEDIAN_H